package crm

import "hongze/fms_api/global"

// CompanySellerListReq CRM销售-列表请求体
type CompanySellerListReq struct {
	SellerType int `json:"seller_type" form:"seller_type" binding:"omitempty" description:"销售类型: 0-全部; 1-FICC; 2-权益"`
}

// CompanySellerList 销售列表
type CompanySellerList struct {
	AdminId   int    `json:"admin_id" description:"系统用户ID"`
	AdminName string `json:"admin_name" description:"系统用户名称"`
	RealName  string `json:"real_name" description:"用户真实名称"`
}

// GetCompanySellerByRoleCodes 通过系统用户角色码获取销售
func GetCompanySellerByRoleCodes(condition string, pars []interface{}) (results []*CompanySellerList, err error) {
	results = make([]*CompanySellerList, 0)
	query := global.MYSQL["report"].
		Table("admin as a").
		Select("a.admin_id, a.admin_name, real_name").
		Joins("JOIN sys_role b ON a.role_id = b.role_id").
		Where("a.enabled = 1").
		Where(condition, pars...)
	err = query.Find(&results).Error
	return
}
