package fms

const (
	// 合同类型
	ContractTypeNew   = 1 // 新签
	ContractTypeRenew = 2 // 续约

	// 合同状态
	ContractStatusApproved    = 1 // 已审批
	ContractStatusSendOut     = 2 // 单章寄出
	ContractStatusCheckedBack = 3 // 已签回

	// 合同登记状态
	ContractRegisterStatusIng      = 1 // 进行中
	ContractRegisterStatusComplete = 2 // 已完成

	// 合同登记操作类型
	ContractRegisterOpTypeSave    = 1 // 合规登记
	ContractRegisterOpTypeInvoice = 2 // 开票登记
	ContractRegisterOpTypePayment = 3 // 到款登记
	ContractRegisterOpTypeStatus  = 4 // 修改合同状态
	ContractRegisterOpTypeDel     = 5 // 删除合同登记
	ContractRegisterOpTypeEdit    = 6 // 合规编辑

	// 合同登记开票类型
	ContractInvoiceTypeMake = 1 // 开票登记
	ContractInvoiceTypePay  = 2 // 到款登记
)

var ContractStatusKeyNameMap = map[int]string{
	ContractStatusApproved:    "已审批",
	ContractStatusSendOut:     "单章寄出",
	ContractStatusCheckedBack: "已签回",
}
