package routers

import (
	"github.com/gin-gonic/gin"
	"hongze/fms_api/controller/contract"
	"hongze/fms_api/middleware"
)

func InitContract(rg *gin.RouterGroup) {
	// 合同登记
	cr := new(contract.RegisterController)
	crGroup := rg.Group("register/").Use(middleware.Token())
	crGroup.GET("list", cr.List)
	crGroup.POST("add", cr.Add)
	crGroup.POST("edit", cr.Edit)
	crGroup.POST("del", cr.Del)
	crGroup.GET("detail", cr.Detail)
	crGroup.POST("update_status", cr.UpdateStatus)
	crGroup.GET("export", cr.Export)
	crGroup.POST("invoice", cr.Invoice)
	crGroup.POST("payment", cr.Invoice) // 与开票登记用同一个func, 路由作区分划分权限

	// 合同套餐
	sr := new(contract.ServiceController)
	srGroup := rg.Group("service/").Use(middleware.Token())
	srGroup.GET("list", sr.List)
}
